as.select {bio3d} | R Documentation

## Convert Atomic Indices to a Select Object

### Description

Convert atomic indices to a select object with ‘atom’ and ‘xyz’ components.

### Usage

    as.select(x, ...)

### Arguments

`x` | a numeric vector containing atomic indices to be converted to a ‘select’ object. Alternatively, a logical vector can be provided.
`...` | arguments passed to and from functions.

### Details

Convert atomic indices to a select object with ‘atom’ and ‘xyz’ components.

### Value

Returns a list of class `"select"` with the following components:

`atom` | a numeric matrix of atomic indices.
`xyz` | a numeric matrix of xyz indices.
`call` | the matched call.

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`atom.select`, `read.pdb`

### Examples

    as.select(c(1,2,3))

[Package bio3d version 2.3-4 Index]